summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core2010-05-11 20:00:07 +0200
committer Robby Workman2010-05-11 20:00:07 +0200
commit1fcb0854d0a94d7f88563cfe51395369dc855d12 (patch)
tree22fc9f0f8d7f5c8007c66d62ab540c418f185148 /desktop
parent982d7e9e5261460e33beb7e3fcba5f34ee6fbe7e (diff)
downloadslackbuilds-1fcb0854d0a94d7f88563cfe51395369dc855d12.tar.gz
desktop/kbfx: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/kbfx/README6
-rw-r--r--desktop/kbfx/doinst.sh5
-rw-r--r--desktop/kbfx/kbfx.SlackBuild63
-rw-r--r--desktop/kbfx/kbfx.info8
-rw-r--r--desktop/kbfx/slack-desc19
5 files changed, 101 insertions, 0 deletions
diff --git a/desktop/kbfx/README b/desktop/kbfx/README
new file mode 100644
index 0000000000..3d9d4ab700
--- /dev/null
+++ b/desktop/kbfx/README
@@ -0,0 +1,6 @@
+KBFX - An alternative to the classical K-Menu button.
+
+KBFX is an alternative to the classical K-Menu button and its menu.
+It improves the user experience by enabling the user to set a
+bigger (and thus more visible) start button and by finally replacing
+the Win95-like K-Menu.
diff --git a/desktop/kbfx/doinst.sh b/desktop/kbfx/doinst.sh
new file mode 100644
index 0000000000..22d4849bce
--- /dev/null
+++ b/desktop/kbfx/doinst.sh
@@ -0,0 +1,5 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/desktop/kbfx/kbfx.SlackBuild b/desktop/kbfx/kbfx.SlackBuild
new file mode 100644
index 0000000000..fa4e7d2bf7
--- /dev/null
+++ b/desktop/kbfx/kbfx.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for kbfx
+
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=kbfx
+VERSION=0.4.9.3.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake -DCMAKE_INSTALL_PREFIX=$KDEPREF
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Correct the permisions for the libs
+find $PKG/usr/lib/ -type f -exec chmod 755 {} \;
+
+# The documentation (HTML/ and $PRGNAM-$VERSION/ dirs) is
+# under $PKG/usr/share/doc so just lets move $PRGNAM-$VERSION
+# to the right place.
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM-$VERSION $PKG/usr/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/kbfx/kbfx.info b/desktop/kbfx/kbfx.info
new file mode 100644
index 0000000000..7c6369aff0
--- /dev/null
+++ b/desktop/kbfx/kbfx.info
@@ -0,0 +1,8 @@
+PRGNAM="kbfx"
+VERSION="0.4.9.3.1"
+HOMEPAGE="http://www.kbfx.org"
+DOWNLOAD="http://downloads.sourceforge.net/kbfx/kbfx-0.4.9.3.1.tar.bz2"
+MD5SUM="47bb5328a3f6dd2cc3f21279b9d0435c"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/desktop/kbfx/slack-desc b/desktop/kbfx/slack-desc
new file mode 100644
index 0000000000..524e7945c3
--- /dev/null
+++ b/desktop/kbfx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kbfx: KBFX (An alternative to the classical K-Menu button)
+kbfx:
+kbfx: KBFX is an alternative to the classical K-Menu button and its menu.
+kbfx: It improves the user experience by enabling the user to set a
+kbfx: bigger (and thus more visible) start button and by finally replacing
+kbfx: the Win95-like K-Menu.
+kbfx:
+kbfx: Homepage: http://www.kbfx.org
+kbfx:
+kbfx:
+kbfx: